Fetch companies for authenticated user
curl --request GET \
--url https://api.salescaptain.com/v1/fetch-companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.salescaptain.com/v1/fetch-companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.salescaptain.com/v1/fetch-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Companies fetched successfully!",
"companies": [
{
"company_id": "00000000-0000-0000-0000-000000000000",
"name": "salescaptain",
"company_type": "single",
"status": "active"
}
]
}{
"error": "Unauthorized access",
"code": "UNAUTHORIZED",
"timestamp": "2023-12-01T10:30:00Z",
"path": "/v1/fetch-companies"
}{
"error": "Forbidden access",
"code": "FORBIDDEN",
"timestamp": "2023-12-01T10:30:00Z",
"path": "/v1/fetch-companies"
}{
"error": "Too many requests, please try again later",
"code": "RATE_LIMIT_EXCEEDED",
"timestamp": "2023-12-01T10:30:00Z",
"path": "/v1/fetch-companies"
}{
"error": "Problem encountered while fetching companies!",
"code": "INTERNAL_ERROR",
"timestamp": "2023-12-01T10:30:00Z",
"path": "/v1/fetch-companies"
}Companies
List companies
Retrieves a list of companies associated with the authenticated user’s accounts. This endpoint fetches company information from the main SalesCaptain API based on the company IDs associated with the user’s accounts.
GET
/
v1
/
fetch-companies
Fetch companies for authenticated user
Authorizations
Authentication token required for accessing protected endpoints. The token should be obtained from the main SalesCaptain authentication service.
⌘I

